#@+leo-ver=4
#@+node:@file status_line.py
"""Adds status line to Leo window."""

from leoPlugins import *
from leoGlobals import *

try:
	import Tkinter
except ImportError:
	Tkinter = None

if Tkinter: # Register the handlers...

	def createStatusLine(tag,keywords):
		c = keywords.get("c")
		c.frame.createStatusLine()
		c.frame.putStatusLine("Welcome to Leo")

	if app.gui is None:
		app.createTkGui(__file__)

	if app.gui.guiName() == "tkinter":
		registerHandler("after-create-leo-frame", createStatusLine)
		__version__ = "0.1"
		plugin_signon(__name__)
#@nonl
#@-node:@file status_line.py
#@-leo
